apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "gwlab_cwfollowup.fullname" . }}-static
  labels:
    {{- include "gwlab_cwfollowup.labels" . | nindent 4 }}
spec:
  {{- if not .Values.autoscaling.enabled }}
  replicas: {{ .Values.replicaCount }}
  {{- end }}
  selector:
    matchLabels:
      {{- include "gwlab_cwfollowup.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "gwlab_cwfollowup.selectorLabels" . | nindent 8 }}
    spec:
      {{- with .Values.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      serviceAccountName: {{ include "gwlab_cwfollowup.serviceAccountName" . }}
      securityContext:
        {{- toYaml .Values.podSecurityContext | nindent 8 }}
      containers:
        - name: {{ include "gwlab_cwfollowup.fullname" . }}-static
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: "{{ .Values.static.image.repository }}:{{ .Values.static.image.tag | default .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.static.image.pullPolicy }}
          ports:
            {{- toYaml .Values.static.ports | nindent 12 }}
          {{- with .Values.livelinessProbe }}
          livenessProbe:
            {{- toYaml . | nindent 8 }}
          {{- end }}
          {{- with .Values.readinessProbe }}
          readinessProbe:
            {{- toYaml . | nindent 8 }}
          {{- end }}
          resources:
            {{- toYaml .Values.resources | nindent 12 }}
      {{- with .Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
